## AnjutaPreferencesDialog

AnjutaPreferencesDialog — Preferences dialog

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | anjuta_preferences_dialog_new ()
void | anjuta_preferences_dialog_add_page ()
void | anjuta_preferences_dialog_remove_page ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── AnjutaPreferencesDialog

## Includes

    #include <libanjuta/anjuta-preferences-dialog.h>

## Description

Plugins can added preferences page with `anjuta_preferences_dialog_add_page()`. However, read AnjutaPreferences for adding proper preferences pages.

## Functions

### anjuta_preferences_dialog_new ()

    GtkWidget *
    anjuta_preferences_dialog_new (void);

Creates a new AnjutaPreferencesDialog object.

#### Returns

a new AnjutaPreferencesDialog object.

### anjuta_preferences_dialog_add_page ()

    void
    anjuta_preferences_dialog_add_page (AnjutaPreferencesDialog *dlg,
                                        const gchar *name,
                                        const gchar *title,
                                        GdkPixbuf *icon,
                                        GtkWidget *page);

Adds a widget page in preferences dialog. Name and icon appears on the left icon list where differnt pages are selected.

#### Parameters

dlg | A AnjutaPreferencesDialog object. |
name | Name of the preferences page. |
title | Title of the page |
icon | Icon file name. |
page | page widget. |

### anjuta_preferences_dialog_remove_page ()

    void
    anjuta_preferences_dialog_remove_page (AnjutaPreferencesDialog *dlg,
                                           const char *title);

Removes a preferences page.

#### Parameters

dlg | A AnjutaPreferencesDialog object.g_signal_handler |
title | Name of the preferences page. |

## Types and Values

## See Also

AnjutaPreferences